Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/YOMCST.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/YOMCST.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/YOMCST.h	(revision 3605)
@@ -20,5 +20,6 @@
       REAL RSIGMA
 ! A1.4 Thermodynamic gas phase
-      REAL R,RMD,RMO3,RMCO2,RMC,RMV,RD,RV,RCPD,RCPV,RCVD,RCVV
+      REAL RMO3,RMCO2,RMC,RMCH4,RMN2O,RMCFC11,RMCFC12
+      REAL R,RMD,RMV,RD,RV,RCPD,RCPV,RCVD,RCVV
       REAL RKAPPA,RETV, eps_w
 ! A1.5,6 Thermodynamic liquid,solid phases
@@ -35,5 +36,6 @@
      &      ,RA    ,RG    ,R1SA                                         &
      &      ,RSIGMA                                                     &
-     &      ,R     ,RMD   ,RMO3  ,RMCO2, RMC, RMV   ,RD    ,RV    ,RCPD &
+     &      ,R     ,RMD   ,RMV   ,RD    ,RV    ,RCPD                    &
+     &      ,RMO3  ,RMCO2 ,RMC   ,RMCH4 ,RMN2O ,RMCFC11 ,RMCFC12        &
      &      ,RCPV  ,RCVD  ,RCVV  ,RKAPPA,RETV, eps_w                    &
      &      ,RCW   ,RCS                                                 &
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/acama_gwd_rando_m.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/acama_gwd_rando_m.F90	(revision 3605)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 module ACAMA_GWD_rando_m
 
@@ -120,5 +123,5 @@
   !$OMP THREADPRIVATE(firstcall,gwd_reproductibilite_mpiomp)
 
-    CHARACTER (LEN=20) :: modname='flott_gwd_rando'
+    CHARACTER (LEN=20) :: modname='acama_gwd_rando_m'
     CHARACTER (LEN=80) :: abort_message
 
@@ -208,11 +211,15 @@
 
     IF(DELTAT < DTIME)THEN
-       PRINT *, 'flott_gwd_rando: deltat < dtime!'
-       STOP 1
+!       PRINT *, 'flott_gwd_rando: deltat < dtime!'
+!       STOP 1
+       abort_message=' deltat < dtime! '
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
 
     IF (KLEV < NW) THEN
-       PRINT *, 'flott_gwd_rando: you will have problem with random numbers'
-       STOP 1
+!       PRINT *, 'flott_gwd_rando: you will have problem with random numbers'
+!       STOP 1
+       abort_message=' you will have problem with random numbers'
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
 
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/add_phys_tend_mod.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/add_phys_tend_mod.F90	(revision 3605)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 !
 MODULE add_phys_tend_mod
@@ -98,5 +101,5 @@
 
 USE dimphy, ONLY: klon, klev
-USE phys_state_var_mod, ONLY : dtime
+USE phys_state_var_mod, ONLY : phys_tstep
 USE phys_local_var_mod, ONLY: u_seri, v_seri, ql_seri, qs_seri, q_seri, t_seri
 USE phys_state_var_mod, ONLY: ftsol
@@ -451,17 +454,17 @@
     ! ------------------------------------------------
 
-    d_qw_col(:) = (zqw_col(:,2)-zqw_col(:,1))/dtime
-    d_ql_col(:) = (zql_col(:,2)-zql_col(:,1))/dtime
-    d_qs_col(:) = (zqs_col(:,2)-zqs_col(:,1))/dtime
+    d_qw_col(:) = (zqw_col(:,2)-zqw_col(:,1))/phys_tstep
+    d_ql_col(:) = (zql_col(:,2)-zql_col(:,1))/phys_tstep
+    d_qs_col(:) = (zqs_col(:,2)-zqs_col(:,1))/phys_tstep
     d_qt_col(:) = d_qw_col(:) + d_ql_col(:) + d_qs_col(:)
 
-    d_ek_col(:) = (zek_col(:,2)-zek_col(:,1))/dtime
-
-    d_h_dair_col(:) = (zh_dair_col(:,2)-zh_dair_col(:,1))/dtime
-    d_h_qw_col(:) = (zh_qw_col(:,2)-zh_qw_col(:,1))/dtime
-    d_h_ql_col(:) = (zh_ql_col(:,2)-zh_ql_col(:,1))/dtime
-    d_h_qs_col(:) = (zh_qs_col(:,2)-zh_qs_col(:,1))/dtime
-
-    d_h_col = (zh_col(:,2)-zh_col(:,1))/dtime 
+    d_ek_col(:) = (zek_col(:,2)-zek_col(:,1))/phys_tstep
+
+    d_h_dair_col(:) = (zh_dair_col(:,2)-zh_dair_col(:,1))/phys_tstep
+    d_h_qw_col(:) = (zh_qw_col(:,2)-zh_qw_col(:,1))/phys_tstep
+    d_h_ql_col(:) = (zh_ql_col(:,2)-zh_ql_col(:,1))/phys_tstep
+    d_h_qs_col(:) = (zh_qs_col(:,2)-zh_qs_col(:,1))/phys_tstep
+
+    d_h_col = (zh_col(:,2)-zh_col(:,1))/phys_tstep 
 
   end if ! end if (fl_ebil .GT. 0)
@@ -494,5 +497,5 @@
 !======================================================================
 
-USE phys_state_var_mod, ONLY : dtime, ftsol
+USE phys_state_var_mod, ONLY : phys_tstep, ftsol
 USE geometry_mod, ONLY: longitude_deg, latitude_deg
 USE print_control_mod, ONLY: prt_level
@@ -621,10 +624,10 @@
     ! ------------------------------------------------
 
-    d_qw_col(:) = (zqw_col(:,2)-zqw_col(:,1))/dtime
-    d_ql_col(:) = (zql_col(:,2)-zql_col(:,1))/dtime
-    d_qs_col(:) = (zqs_col(:,2)-zqs_col(:,1))/dtime
+    d_qw_col(:) = (zqw_col(:,2)-zqw_col(:,1))/phys_tstep
+    d_ql_col(:) = (zql_col(:,2)-zql_col(:,1))/phys_tstep
+    d_qs_col(:) = (zqs_col(:,2)-zqs_col(:,1))/phys_tstep
     d_qt_col(:) = d_qw_col(:) + d_ql_col(:) + d_qs_col(:)
 
-    d_ek_col(:) = (zek_col(:,2)-zek_col(:,1))/dtime
+    d_ek_col(:) = (zek_col(:,2)-zek_col(:,1))/phys_tstep
 
    print *,'zdu ', zdu
@@ -632,10 +635,10 @@
    print *,'d_ek_col, zek_col(2), zek_col(1) ',d_ek_col(1), zek_col(1,2), zek_col(1,1)
 
-    d_h_dair_col(:) = (zh_dair_col(:,2)-zh_dair_col(:,1))/dtime
-    d_h_qw_col(:) = (zh_qw_col(:,2)-zh_qw_col(:,1))/dtime
-    d_h_ql_col(:) = (zh_ql_col(:,2)-zh_ql_col(:,1))/dtime
-    d_h_qs_col(:) = (zh_qs_col(:,2)-zh_qs_col(:,1))/dtime
-
-    d_h_col = (zh_col(:,2)-zh_col(:,1))/dtime 
+    d_h_dair_col(:) = (zh_dair_col(:,2)-zh_dair_col(:,1))/phys_tstep
+    d_h_qw_col(:) = (zh_qw_col(:,2)-zh_qw_col(:,1))/phys_tstep
+    d_h_ql_col(:) = (zh_ql_col(:,2)-zh_ql_col(:,1))/phys_tstep
+    d_h_qs_col(:) = (zh_qs_col(:,2)-zh_qs_col(:,1))/phys_tstep
+
+    d_h_col = (zh_col(:,2)-zh_col(:,1))/phys_tstep 
 
   end if ! end if (fl_ebil .GT. 0)
@@ -716,5 +719,5 @@
 
 USE dimphy, ONLY: klon, klev
-USE phys_state_var_mod, ONLY : dtime
+USE phys_state_var_mod, ONLY : phys_tstep
 USE phys_state_var_mod, ONLY : topsw, toplw, solsw, sollw, rain_con, snow_con
 USE geometry_mod, ONLY: longitude_deg, latitude_deg
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/alpale_th.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/alpale_th.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/alpale_th.F90	(revision 3605)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 SUBROUTINE alpale_th ( dtime, lmax_th, t_seri, cell_area,  &
                        cin, s2, n2,  &
@@ -62,4 +65,7 @@
  REAL umexp  ! expression of (1.-exp(-x))/x valid for all x, especially when x->0
  REAL x
+     CHARACTER (LEN=20) :: modname='alpale_th'
+     CHARACTER (LEN=80) :: abort_message
+     
  umexp(x) = max(sign(1.,x-1.e-3),0.)*(1.-exp(-x))/max(x,1.e-3) + &
             (1.-max(sign(1.,x-1.e-3),0.))*(1.-0.5*x*(1.-x/3.*(1.-0.25*x)))  !!! correct formula            (jyg)
@@ -104,5 +110,5 @@
              !
              IF (prt_level .GE. 10) THEN
-                print *,'cin, ale_bl_stat, alp_bl, alp_bl_stat ', &
+                WRITE(lunout,*)'cin, ale_bl_stat, alp_bl, alp_bl_stat ', &
                      cin, ale_bl_stat, alp_bl, alp_bl_stat
              ENDIF
@@ -122,7 +128,7 @@
              !
              IF (prt_level .GE. 10) THEN
-                print *,'random_notrig, tau_trig ', &
+                WRITE(lunout,*)'random_notrig, tau_trig ', &
                      random_notrig, tau_trig
-                print *,'s_trig,s2,n2 ', &
+                WRITE(lunout,*)'s_trig,s2,n2 ', &
                      s_trig,s2,n2
              ENDIF
@@ -178,5 +184,5 @@
              !
              IF (prt_level .GE. 10) THEN
-                print *,'proba_notrig, ale_bl_trig ', &
+                WRITE(lunout,*)'proba_notrig, ale_bl_trig ', &
                      proba_notrig, ale_bl_trig
              ENDIF
@@ -224,5 +230,5 @@
         !
         IF (prt_level .GE. 10) THEN
-           print *,'cin, ale_bl_stat, alp_bl_stat ', &
+           WRITE(lunout,*)'cin, ale_bl_stat, alp_bl_stat ', &
                 cin, ale_bl_stat, alp_bl_stat
         ENDIF
@@ -253,7 +259,7 @@
         !
         IF (prt_level .GE. 10) THEN
-           print *,'random_notrig, tau_trig ', &
+           WRITE(lunout,*)'random_notrig, tau_trig ', &
                 random_notrig, tau_trig
-           print *,'s_trig,s2,n2 ', &
+           WRITE(lunout,*)'s_trig,s2,n2 ', &
                 s_trig,s2,n2
         ENDIF
@@ -289,5 +295,5 @@
         !
         IF (prt_level .GE. 10) THEN
-           print *,'proba_notrig, ale_bl_trig ', &
+           WRITE(lunout,*)'proba_notrig, ale_bl_trig ', &
                 proba_notrig, ale_bl_trig
         ENDIF
@@ -300,5 +306,5 @@
 
           IF (prt_level .GE. 10) THEN
-             print *,'alpale_th: ale_bl_trig, alp_bl_stat, birth_rate ', &
+             WRITE(lunout,*)'alpale_th: ale_bl_trig, alp_bl_stat, birth_rate ', &
                       ale_bl_trig(1), alp_bl_stat(1), birth_rate(1)
           ENDIF
@@ -310,5 +316,5 @@
           if (iflag_coupl==2) then
              IF (prt_level .GE. 10) THEN
-                print*,'Couplage Thermiques/Emanuel seulement si T<0'
+                WRITE(lunout,*)'Couplage Thermiques/Emanuel seulement si T<0'
              ENDIF
              do i=1,klon
@@ -317,6 +323,8 @@
                 endif
              enddo
-    print *,'In order to run with iflag_coupl=2, you have to comment out the following stop'
-             STOP
+!    print *,'In order to run with iflag_coupl=2, you have to comment out the following stop'
+!             STOP
+             abort_message='In order to run with iflag_coupl=2, you have to comment out the following abort'
+             CALL abort_physic(modname,abort_message,1)
           endif
    RETURN
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/atm2geo.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/atm2geo.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/atm2geo.F90	(revision 3605)
@@ -5,18 +5,28 @@
   USE dimphy
   USE mod_phys_lmdz_para
+  USE mod_grid_phy_lmdz, only: grid_type, unstructured, regular_lonlat
   IMPLICIT NONE
   INCLUDE 'YOMCST.h'
+
+  CHARACTER (len = 6)                :: clmodnam
+  CHARACTER (len = 20)               :: modname = 'atm2geo'
+  CHARACTER (len = 80)               :: abort_message
+
 !
 ! Change wind local atmospheric coordinates to geocentric
 !
+! Geocentric :
+! axe x is eastward : crosses (0 N, 0 E) point.
+! axe y crosses (0 N, 90 E) point.
+! axe z is 'up' : crosses north pole
   INTEGER, INTENT (in)                 :: im, jm
-  REAL, DIMENSION (im,jm), INTENT (in) :: pte, ptn
+  REAL, DIMENSION (im,jm), INTENT (in) :: pte  ! Eastward vector component
+  REAL, DIMENSION (im,jm), INTENT (in) :: ptn  ! Northward vector component
   REAL, DIMENSION (im,jm), INTENT (in) :: plon, plat
-  REAL, DIMENSION (im,jm), INTENT(out) :: pxx, pyy, pzz
-  
-  REAL :: rad
-
+  REAL, DIMENSION (im,jm), INTENT(out) :: pxx, pyy, pzz  ! Component in the geocentric referential 
+  REAL :: rad, reps
 
   rad = rpi / 180.0E0
+  reps = 1.0e-5
   
   pxx(:,:) = & 
@@ -31,17 +41,32 @@
        + ptn(:,:) * COS(rad * plat (:,:))
   
-! Value at North Pole  
-  IF (is_north_pole_dyn) THEN
-     pxx(:, 1) = - pte (1, 1)
-     pyy(:, 1) = - ptn (1, 1) 
-     pzz(:, 1) = pzz(1,1)
-  ENDIF
+  IF (grid_type==regular_lonlat) THEN
+  ! Value at North Pole  
+    IF (is_north_pole_dyn) THEN
+       pxx(:, 1) = - pte (1, 1)
+       pyy(:, 1) = - ptn (1, 1) 
+       pzz(:, 1) = pzz(1,1) ! => 0
+    ENDIF
 
-! Value at South Pole
-  IF (is_south_pole_dyn) THEN
-     pxx(:,jm) = pxx(1,jm)
-     pyy(:,jm) = pyy(1,jm)
-     pzz(:,jm) = pzz(1,jm)
-  ENDIF
+  ! Value at South Pole
+    IF (is_south_pole_dyn) THEN
+      pxx(:,jm) = pxx(1,jm)
+       pyy(:,jm) = pyy(1,jm)
+       pzz(:,jm) = pzz(1,jm) ! => 0
+    ENDIF
+ 
+  ELSE IF (grid_type==unstructured) THEN
+     ! Pole nord pour Dynamico
+     WHERE ( plat(:,:) >= 90.0d+0-reps )
+        pxx (:,:) = -ptn (:,:)
+        pyy (:,:) =  pte (:,:)
+        pzz (:,:) =  0.0e0
+     END WHERE
+
+  ELSE
+     abort_message='Problem: unknown grid type'
+     CALL abort_physic(modname,abort_message,1)
+  END IF
+
   
 END SUBROUTINE atm2geo
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/borne_var_surf.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/borne_var_surf.F90	(revision 3605)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/borne_var_surf.F90	(revision 3605)
@@ -0,0 +1,111 @@
+SUBROUTINE borne_var_surf(klon,klev,nbsrf,                   &
+         iflag_bug_t2m_stab_ipslcm61,                        &
+         t1,q1,u1,v1,                                        &
+         ftsol, qsurf, pctsrf, paprs,                        &
+         t2m, q2m, u10m, v10m,                               &
+         zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor,           &
+         zrh2m_cor, zqsat2m_cor)
+
+IMPLICIT NONE
+
+!==================================================================
+! Declarations
+!==================================================================
+
+! arguments
+INTEGER klon,klev,nbsrf,iflag_bug_t2m_stab_ipslcm61
+REAL,DIMENSION(klon),INTENT(IN) :: t1, q1, u1, v1
+REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: t2m, q2m, u10m, v10m
+REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: ftsol, pctsrf
+REAL,DIMENSION(klon,klev+1),INTENT(IN) :: paprs 
+REAL,DIMENSION(klon),INTENT(IN) :: qsurf
+REAL,DIMENSION (klon),INTENT(OUT) :: zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor
+REAL,DIMENSION (klon),INTENT(OUT)  :: zrh2m_cor, zqsat2m_cor
+
+
+! local
+INTEGER i,nsrf
+REAL,DIMENSION (klon,nbsrf) :: t2m_cor, q2m_cor, u10m_cor, v10m_cor
+REAL                               :: zx_qs1, zcor1, zdelta1
+include "YOMCST.h"
+include "YOETHF.h"
+include "FCTTRE.h"
+!==================================================================
+! Correction of sub surface variables
+!==================================================================
+
+zrh2m_cor=0.
+zqsat2m_cor=0.
+
+DO nsrf=1,nbsrf
+   DO i=1,klon
+    t2m_cor(i,nsrf)=t2m(i,nsrf)
+    q2m_cor(i,nsrf)=q2m(i,nsrf)
+    u10m_cor(i,nsrf)=u10m(i,nsrf)
+    v10m_cor(i,nsrf)=v10m(i,nsrf)
+     IF(iflag_bug_t2m_stab_ipslcm61.EQ.-2.AND.q2m(i,nsrf).LT.0.) THEN
+      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
+      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
+      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
+      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
+      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
+     ELSEIF(iflag_bug_t2m_stab_ipslcm61.EQ.-1.AND.(ftsol(i,nsrf).LE.t1(i).OR.q2m(i,nsrf).LT.0.)) THEN
+      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
+      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
+      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
+      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
+      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
+     ELSEIF(iflag_bug_t2m_stab_ipslcm61.EQ.1.AND.ftsol(i,nsrf).LE.t1(i)) THEN
+      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
+      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
+      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
+      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
+      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
+     ELSEIF(iflag_bug_t2m_stab_ipslcm61.EQ.0) THEN
+      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
+      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
+      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
+      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
+      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
+      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
+     ENDIF
+!!!
+     zdelta1 = MAX(0.,SIGN(1., rtt-t2m_cor(i,nsrf) ))
+     zx_qs1  = r2es * FOEEW(t2m_cor(i,nsrf),zdelta1)/paprs(i,1)
+     zx_qs1  = MIN(0.5,zx_qs1)
+     zcor1   = 1./(1.-RETV*zx_qs1)
+     zx_qs1  = zx_qs1*zcor1
+     zrh2m_cor(i) = zrh2m_cor(i) + q2m_cor(i,nsrf)/zx_qs1 * pctsrf(i,nsrf)
+     zqsat2m_cor(i) = zqsat2m_cor(i) + zx_qs1  * pctsrf(i,nsrf)
+!!!
+   ENDDO
+ENDDO
+
+!==================================================================
+! Agregation of sub surfaces
+!==================================================================
+
+zt2m_cor=0.
+zq2m_cor=0.
+zu10m_cor=0.
+zv10m_cor=0.
+DO nsrf = 1, nbsrf
+   DO i = 1, klon
+      zt2m_cor(i)  = zt2m_cor(i)  + t2m_cor(i,nsrf)  * pctsrf(i,nsrf)
+      zq2m_cor(i)  = zq2m_cor(i)  + q2m_cor(i,nsrf)  * pctsrf(i,nsrf)
+      zu10m_cor(i) = zu10m_cor(i) + u10m_cor(i,nsrf) * pctsrf(i,nsrf)
+      zv10m_cor(i) = zv10m_cor(i) + v10m_cor(i,nsrf) * pctsrf(i,nsrf)
+   ENDDO
+ENDDO
+
+RETURN
+END
+
+
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/calcul_divers.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/calcul_divers.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/calcul_divers.h	(revision 3605)
@@ -1,4 +1,5 @@
 !
-! $Header$
+! $Id$
+!
 !
 ! Initialisations diverses au tout debut
@@ -14,5 +15,5 @@
 
 ! Calcul fin de journee : total_rain, nday_rain
-      IF(MOD(itap,NINT(un_jour/dtime)).EQ.0) THEN
+      IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.0) THEN
 !        print*,'calcul nday_rain itap ',itap
          DO i = 1, klon
@@ -23,6 +24,6 @@
 
 ! Initialisation fin de mois
-      IF(MOD(itap-itapm1,NINT(mth_len*un_jour/dtime)).EQ.0) THEN
-        itapm1=itapm1+NINT(mth_len*un_jour/dtime)
+      IF(MOD(itap-itapm1,NINT(mth_len*un_jour/phys_tstep)).EQ.0) THEN
+        itapm1=itapm1+NINT(mth_len*un_jour/phys_tstep)
 !       print*,'initialisation itapm1 ',itapm1
       ENDIF
@@ -35,5 +36,5 @@
      t2m_max_mon=0.
   ENDIF
-  IF(MOD(itap,NINT(un_jour/dtime)).EQ.1) THEN
+  IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.1) THEN
      zt2m_min_mon=zt2m
      zt2m_max_mon=zt2m
@@ -45,5 +46,5 @@
      ENDDO
 !fin de journee
-  IF(MOD(itap,NINT(un_jour/dtime)).EQ.0) THEN
+  IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.0) THEN
    t2m_min_mon=t2m_min_mon+zt2m_min_mon 
    t2m_max_mon=t2m_max_mon+zt2m_max_mon 
